package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.SupplierContacts;
import com.fjhx.params.supplier.SupplierContactsVo;
import com.fjhx.base.StorageBaseService;

import java.util.Map;

/**
 * <p>
 * 供应商联系人 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface SupplierContactsService extends StorageBaseService<SupplierContacts> {

    Page<SupplierContacts> getPage(Map<String, String> condition);

    void add(SupplierContactsVo supplierContactsVo);

    void edit(SupplierContactsVo supplierContactsVo);

    void delete(SupplierContactsVo supplierContactsVo);

}
